import { createClient } from "@urql/core";
import fetch from "node-fetch";
import { resolveIntegrationHubBaseUrl } from "../helpers";
export function createUrqlClient(jwtToken, region) {
    return createClient({
        url: resolveIntegrationHubBaseUrl(region),
        fetchOptions: {
            headers: {
                Authorization: `Bearer ${jwtToken}`,
            },
        },
        fetch: fetch,
    });
}
